from setuptools import setup
import os
from glob import glob

package_name = 'active_bo_debugging'

setup(
    name=package_name,
    version='0.0.0',
    packages=[package_name],
    data_files=[
        ('share/ament_index/resource_index/packages',
         ['resource/' + package_name]),
        ('share/' + package_name, ['package.xml']),
        (os.path.join('share', package_name), glob('launch/*.launch.py')),
    ],
    install_requires=['setuptools'],
    zip_safe=True,
    maintainer='niko',
    maintainer_email='nikolaus.feith@unileoben.ac.at',
    description='TODO: Package description',
    license='TODO: License declaration',
    tests_require=['pytest'],
    entry_points={
        'console_scripts': [
            'active_rl_proxy = active_bo_debugging.active_rl_proxy:main',
            'active_bo_proxy = active_bo_debugging.active_bo_proxy:main',
            'active_rl_test = active_bo_ros.active_rl_test_node:main',
        ],
    },
)
